package com.alterdekim.hearthhack.xml;

import com.alterdekim.hearthhack.game.GameTag;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import lombok.*;

import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class CardsXML {
    @JsonProperty("Entity")
    @JacksonXmlElementWrapper(useWrapping = false)
    private List<XMLEntity> entities;
}
